> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/3.-query-get-satelliteimages.md).

# 3. クエリ: 衛星画像を取得

「Field」向けに、雲量のしきい値を指定して「SatelliteImages」を取得します。

ヒント：

* 「User」がアクセスできるすべての「Farms」を取得します - 次を削除します *(*`farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"`*`]`)*。 「Fields」、「SatelliteImages」、「VectorAnalysisMap」でも同様に操作できます。
* 使用できる `geoMapType` フィルターの許容値： `ALL`, `ORIGIN`, `CROPPED`, `RAW`, `PROCESSED`, `THUMBNAIL`, `CONTRAST`
* 使用できる日付関連のフィルター： `before` および `after` これらの値は次の形式に従います： [AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html) 形式です。フィルターはどちらか一方のみ使用できます。詳細は [こちら](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/37.-query-get-satelliteimages-in-the-defined-interval.md).
* 使用できる `provider` フィルターの許容値： `PS`, `S2`, `L9`, `L8`, `L7`, `L5`, `L4`
* 使用できる `threshold` フィルターは雲量を示します。「1」は雲がなく、「0」は全面が雲に覆われていることを意味します。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFields {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    name
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      name
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviAverage
        
        statistics {
          index
          min
          max
          avg
          mdn
          var
          std
        }
        
        recomendedForMutliYearAnalytics 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFarms {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      name
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviAverage
        
        statistics {
          index
          min
          max
          avg
          mdn
          var
          std
        } 
        
        recomendedForMutliYearAnalytics
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/3.-query-get-satelliteimages.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
